﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="StackedSeries-GrandTotalLabelsVB.aspx.vb" Inherits="GrandTotalLabelsVB" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
		<script>
			function pageLoad() {
				var chart = $find("<%=RadHtmlChart1.ClientID%>");
				//Set transparent color for the border of the 'grand total' series
				chart._chartObject.options.series[3].border = { color: "transparant" };
				chart.repaint();
			}
		</script>
		<telerik:RadHtmlChart runat="server" ID="RadHtmlChart1" Width="750" Height="450">
			<ChartTitle Text="Olympic Medals of Bulgaria for 1998, 1980 and 1976 year">
			</ChartTitle>
			<PlotArea>
				<Series>
					<telerik:ColumnSeries Name="Gold Medals" Stacked="true" DataFieldY="Gold">
						<Appearance FillStyle-BackgroundColor="#DDD9C3"></Appearance>
						<LabelsAppearance Position="Center">
						</LabelsAppearance>
						<TooltipsAppearance>
							<ClientTemplate>
                        Gold Medals for #=category# year: #=value#
							</ClientTemplate>
						</TooltipsAppearance>
					</telerik:ColumnSeries>
					<telerik:ColumnSeries Name="Silver Medals" DataFieldY="Silver">
						<Appearance FillStyle-BackgroundColor="#C4BD97"></Appearance>
						<LabelsAppearance Position="Center">
						</LabelsAppearance>
						<TooltipsAppearance Color="White">
							<ClientTemplate>
                        Gold Medals for #=category# year: #=value#
							</ClientTemplate>
						</TooltipsAppearance>
					</telerik:ColumnSeries>
					<telerik:ColumnSeries Name="Bronze Medals" DataFieldY="Bronze">
						<Appearance FillStyle-BackgroundColor="#948A54"></Appearance>
						<LabelsAppearance Position="Center">
						</LabelsAppearance>
						<TooltipsAppearance Color="White">
							<ClientTemplate>
                        Gold Medals for #=category# year: #=value#
							</ClientTemplate>
						</TooltipsAppearance>
					</telerik:ColumnSeries>
					<telerik:ColumnSeries DataFieldY="GrandTotal">
						<Appearance FillStyle-BackgroundColor="#DDD9C3"></Appearance>
						<TooltipsAppearance>
							<ClientTemplate>
                        Grand Total Medals for #=category# year: #=dataItem.Gold + dataItem.Silver + dataItem.Bronze#
							</ClientTemplate>
						</TooltipsAppearance>
						<LabelsAppearance Position="OutsideEnd">
							<TextStyle Margin="-30" />
							<ClientTemplate>
                        Grand Total Medals: #=dataItem.Gold + dataItem.Silver + dataItem.Bronze#
							</ClientTemplate>
						</LabelsAppearance>
					</telerik:ColumnSeries>
				</Series>
				<XAxis DataLabelsField="Year">
					<LabelsAppearance DataFormatString="Year: {0}" />
				</XAxis>
			</PlotArea>
		</telerik:RadHtmlChart>
	</form>
</body>
</html>
